Bug 459648 - intel and radeon drm drivers should enable modesetting by default.
intel and radeon drm drivers should enable modesetting by default.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-08-20 16:06 EDT by Hasan Ceylan
Modified: 2009-04-23 14:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-23 14:03:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hasan Ceylan 2008-08-20 16:06:47 EDT
I was under impression that plymouth had still a lot as todos. 

But just by change while trying to get a bigger console, I entered vga=792 into my kernel params and said to myself "What's the deal, make it persistent for all the times, as I may need it in the future"

Then with this luck I was delighted to see the beautiful plymouth boot screen with fedora logo dancing.

I do not know if this is on purpose, but just to get it under record:

Plymouth need graphical console to provide graphical boot.

Now, I do not know if this falls into kernel packagers responsibility or plymouth's ones. But imagining fedora 10 started using the new 2.6.27 kernel, I assume kernel QA guys have a lot of work to do. 

So I am bugging the plymouth team...

Hasan Ceylan
Comment 1 Ray Strode [halfline] 2008-08-20 16:33:22 EDT

it's a known issue.

See http://fedoraproject.org/wiki/Releases/10/Alpha/ReleaseNotes#Boot_up

vga=792 isn't optimal because it has bad interactions with X.  kernel drm modesetting is the replacement and will tentatively land (and be on by default) for intel and radeon users in F10.
Comment 2 Hasan Ceylan 2008-08-20 16:45:30 EDT

I am no display expert, just stumbled onto that. Sorry for flooding the bugzilla for that. But the good thing is I learned the so called kernel drm thing.

Still might be useful for those who are looking for better looking plymouth boot up before F 10 release.

Great & thx

Comment 3 Ray Strode [halfline] 2008-08-26 09:37:14 EDT
So enough pieces are in place on the plymouth side that this should "just work" when modesetting lands.  Given that, I'm going to move this off my radar.
Comment 4 Bug Zapper 2008-11-25 21:49:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 5 Chuck Ebbert 2009-04-23 14:03:39 EDT
radeon modesetting was enabled in fedora 10, intel is enabled in fedora 11

Note You need to log in before you can comment on or make changes to this bug.